@layer projects {
  h1 {
    font-size: 4rem;
    text-transform: uppercase;
    font-weight: 600;
    line-height: 4.75rem;
    border-bottom: var(--border-1) solid var(--card-bg);
  }

  @media (max-width: 48em) {
    h1 {
      margin: 0;
      font-size: 2.5rem;
      line-height: 3.5rem;
    }
  }

  @media (max-width: 27.5em) {
    h1 {
      font-size: 2rem;
      line-height: 2.5rem;
    }
  }
  
  .projects-hero {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    background-color: var(--white);
  }

  @media (max-width: 27.5em) {
    .projects-hero {
      margin-top: 5.7em;
    }
  }

  .projects-hero__inner {
    margin: 8em 0 12em;
    width: 100%;
    max-width: 2000px;
    padding: var(--spacing-0) var(--spacing-3em);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 4em;
  }

  @media (max-width: 64em) {
    .projects-hero__inner {
      margin: 8em 0 12em;
      padding: var(--spacing-0) var(--spacing-2em);
    }
  }

  @media (max-width: 48em) {
    .projects-hero__inner {
      margin: 8em 0 8em;
      padding: var(--spacing-0) var(--spacing-1em);
    }
  }

  .projects-hero__heading {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: var(--spacing-12em) var(--spacing-3em) var(--spacing-0);
    text-align: left;
    background-color: var(--primary);
    color: var(--white);
  }

  @media (max-width: 48em) {
    .projects-hero__heading {
      padding: var(--spacing-12em) var(--spacing-1em) var(--spacing-4em) ;
    }
  }

  @media (max-width: 27.5em) {
    .projects-hero__heading {
      padding: var(--spacing-6em) var(--spacing-1em) var(--spacing-4em) ;
    }
  }

  .projects-hero__heading__innner {
    width: 100%;
    max-width: 1900px;
    margin-bottom: 4em;
  }

  @media (max-width: 48em) {
    .projects-hero__heading__innner {
      margin-bottom: 0em;
    }
  }

  .projects-grid {
    margin-top: 4em;
    width: 100%;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1em;
  }

  @media (max-width: 60em) {
    .projects-grid {
      grid-template-columns: repeat(1, 1fr);
    }
  }

  .project-card {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 1em;
    border-radius: var(--radius-card);
    border: var(--border-1) solid var(--primary);
    transition: var(--transition);
    background-color: var(--white);
    background-image: url('/src/assets/images/bg-7.png');
    background-repeat: repeat;
    background-position: center center;
    background-size: 2856px auto;
  }

  @media (max-width: 60em) {
    .project-card {
      padding: 1em;
    }
  }

  @media (max-width: 48em) {
    .project-card {
      transition: 2.0s ease;
    }
  }

  .project-card__top {
    display: flex;
    flex-direction: column;
    gap: 2em;
  }

  .project-card__bottom {
    display: flex;
    flex-direction: column;
    gap: 2em;
    margin-top: 8em; 
  }

  .project-card__heading {
    margin-top: 5em; 
    text-align: left;
    max-width: 500px;
  }

  .project-card__client-info {
    margin-top: 1em; 
    display: flex;
    flex-direction: column;
    gap: 0.5em;
  }

  .project-card__client {
    font-size: 1rem;
    font-weight: 500;
  }

  .project-card__name {
    font-size: 1rem;
    font-weight: 800;
    max-width: 440px;
  }

  .project-link-button {
    width: 100%;
    height: auto;
    display: flex;
    justify-content: start;
  }

  .project-card img {
    width: 100%;
    aspect-ratio: 3 / 2;
    object-fit: cover;
  }

  .image-container {
    position: relative;
    width: 100%;
    overflow: hidden;
    border-radius: var(--radius-btn);
  }

  .image-container img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
  }

  .image-container {
    position: relative;
    width: 100%;
    overflow: hidden;
    border-radius: var(--radius-btn);
  }

  .image-container img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
  }

  .overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(30, 35, 170, 0.5);
    mix-blend-mode: overlay;
    transition: opacity 0.3s ease-in-out;
    pointer-events: none;
    opacity: 1;
  }

  @media (max-width: 48em) {
    .overlay {
      transition: opacity 2.0s ease;
    }
  }

  @media (hover: hover) {
    .project-card:hover .overlay {
      opacity: 0;
    }
  }

  .project-card.is-visible .overlay {
    opacity: 0;
  }

  @media (hover: hover) {
    .project-card:hover {
      box-shadow: -2px -1px 0px 2px var(--primary);
    }

    .project-card:hover .overlay {
      opacity: 0;
    }
  }

  /* Состояние при попадании во вьюпорт (Mobile/Scroll) */
  /* JS добавляет этот класс, когда карточка в центре экрана */
  .project-card.is-visible {
    box-shadow: -2px -1px 0px 2px var(--primary);
    transition: box-shadow 0.3s ease;
  }

  .project-card.is-visible .overlay {
    opacity: 0;
  }
}